using Hotline.Exams.Base;
using Hotline.Share.Dtos.Order;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Exams.TestPapers
{
    /// <summary>
    /// 试卷答案
    /// </summary>
    [Description("试卷答案")]
    public class ExamTestPaperItemAnswer:ExamBusinessEntity
    {
        /// <summary>
        /// 试卷明细Id
        /// </summary>
        [SugarColumn(ColumnDescription = "试卷明细Id")]
        [Description("试卷明细Id")]
        public string TestPaperItemId { get; set; }

        /// <summary>
        /// 题库Id
        /// </summary>
        [Description("题库Id")]
        [SugarColumn(ColumnDescription = "题库Id")]
        public string QuestionId { get; set; }

        /// <summary>
        /// 答案
        /// </summary>
        [SugarColumn(ColumnDescription = "答案")]
        [Description("答案")]
        public string? Answer { get; set; }

        /// <summary>
        /// 题库答案Id
        /// </summary>
        [SugarColumn(ColumnDescription = "题库答案Id")]
        [Description("题库答案Id")]
        public string QuestionAnswerId { get; set; }
    }
}
